aboutsummaryrefslogtreecommitdiff
path: root/check/games
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-16 14:24:31 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-16 14:24:50 +1200
commit2f5c3f189d83b6297a93dee83819092a63a33e88 (patch)
tree20bc97584202d210d0d6ac62c21afd7850c9e697 /check/games
parentChange Zsh URL to HTTPS version (diff)
downloaddotfiles-2f5c3f189d83b6297a93dee83819092a63a33e88.tar.gz
dotfiles-2f5c3f189d83b6297a93dee83819092a63a33e88.zip
Rename "test" targets to "check"
Mostly to make way for an actual test suite beyond mere syntax checking
Diffstat (limited to 'check/games')
-rwxr-xr-xcheck/games14
1 files changed, 14 insertions, 0 deletions
diff --git a/check/games b/check/games
new file mode 100755
index 00000000..3afe6414
--- /dev/null
+++ b/check/games
@@ -0,0 +1,14 @@
+#!/bin/sh
+for game in games/* ; do
+ [ -f "$game" ] || continue
+ hb=$(sed 1q "$game") || exit
+ case $hb in
+ *bash)
+ bash -n "$game" || exit
+ ;;
+ *sh)
+ sh -n "$game" || exit
+ ;;
+ esac
+done
+printf 'All shell scripts in games parsed successfully.\n'